﻿
using JetBrains.Annotations;
using OpcLabs.BaseLib.Collections.Specialized;

namespace OpcLabs.BaseLibFactory.Collections.Specialized
{
    static public class StringStringDictionaryInstances
    {
        [NotNull]
        static public StringStringDictionary SingleElement => new StringStringDictionary { { "Element1", "one" }};

        [NotNull]
        static public StringStringDictionary SingleElementEmptyKey => new StringStringDictionary { { "", "two" }};

        [NotNull]
        static public StringStringDictionary SingleElementNullValue => new StringStringDictionary { { "Element1", null }};

        [NotNull]
        static public StringStringDictionary MoreElements => new StringStringDictionary
        {
            { "Element1", "two" },
            { "Element2", "String2" },
            { "Element3", null },
            { "Element4", "three" }
        };

        // IMPROVE: have more
    }
}
