﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.DataTypeModel;

namespace OpcLabs.BaseLibFactory.DataTypeModel
{
    static public class DataFieldCollectionInstances
    {
        [NotNull]
        static public DataFieldCollection Instance0 => new DataFieldCollection();

        [NotNull]
        static public DataFieldCollection Instance1 => new DataFieldCollection {DataFieldInstances.Instance1};

        [NotNull]
        static public DataFieldCollection Instance2 => new DataFieldCollection
        {
            DataFieldInstances.Instance1,
            DataFieldInstances.Instance2,
            DataFieldInstances.Instance3,
            DataFieldInstances.Instance4,
            DataFieldInstances.Instance5
        };
    }
}
