﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents.AddressSpace;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.AddressSpace
{
    static public class AECategoryElementCollectionInstances
    {
        [NotNull]
        static public AECategoryElementCollection Instance0 => new AECategoryElementCollection();

        [NotNull]
        static public AECategoryElementCollection Instance1
        {
            get
            {
                var categoryElementCollection = new AECategoryElementCollection
                {
                    AECategoryElementInstances.Instance0,
                    AECategoryElementInstances.Instance1
                };

                return categoryElementCollection;
            }
        }
    }
}
