﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents.Engine;
using OpcLabs.EasyOpcFactory.Engine;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.Engine
{
    static public class EasyAEClientParametersInstances
    {
        [NotNull]
        static public EasyAEClientParameters Instance1 => new EasyAEClientParameters(EasyClientParametersInstances.Instance1)
        {
            BrowseNodesChunk = 111,
            LinkCallbackQueueSize = 222,
            LinkRetrialPeriod = 333,
            RequestQueueSize = 444,
            ResponseQueueSize = 555,
        };
    }
}
