﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpcFactory.DataAccess.Engine;

namespace OpcLabs.EasyOpcFactory.DataAccess
{
    static public class EasyDAClientManagementInstances
    {
        [NotNull]
        static public EasyDAClientManagement Instance1
        {
            get
            {
                var clientManagement = new EasyDAClientManagement
                {
                    //AdaptableParameters = EasyDAAdaptableParametersInstances.Instance1,   // IMPROVE: have this when possible
                    SharedParameters = EasyDASharedParametersInstances.Instance1,
                };
                return clientManagement;
            }
        }
    }
}
