﻿using System.Runtime.InteropServices;
using JetBrains.Annotations;
using OpcLabs.BaseLib.Transfer;

namespace OpcLabs.BaseLibFactory.Connectivity
{
    static public class ResultArgumentsInstances
    {
        [NotNull]
        static public ResultArguments Instance0 => new ResultArguments();

        [NotNull]
        static public ResultArguments Instance1
        {
            get
            {
                var resultArguments = new ResultArguments
                {
                    ErrorId = "-111",
                    Exception = new COMException("comException1", 112),
                    ErrorMessage = "errorMessage1",
                };
                return resultArguments;
            }
        }
    }
}
