﻿
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc.DataAccess;

namespace OpcLabs.EasyOpcLiveTest.DataAccess
{
    // ReSharper disable once InconsistentNaming
    partial class EasyDAClientTest_Com
    {
        [TestCategory("Live")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestMethod]
        public void BrowseNodesTest_Com_Basic_Root()
        {
            BrowseNodesTest_Basic(DALiveTestEnvironment.OpcLabs_KitServer.ServerDescriptors.WithProgId, DANodeDescriptor.Root, expectedCount:7);
        }
        
        [TestCategory("Live")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestMethod]
        public void BrowsePropertiesTest_Com_UnknownItemId()
        {
            BrowsePropertiesTest_UnknownItemId(DALiveTestEnvironment.OpcLabs_KitServer.ServerDescriptors.WithProgId);
        }
    }
}
