﻿
using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc.AlarmsAndEvents;

namespace OpcLabs.EasyOpcTest.AlarmsAndEvents
{
    public partial class EasyAEClientTest
    {
        // ReSharper disable InconsistentNaming


        [ExpectedException(typeof(InvalidOperationException))]
        [TestCategory("OpcAlarmsAndEvents")]
        [TestCategory("OpcClassic")]
        [TestMethod]
        public void PullNotificationTest_ZeroCapacity()
        {
            var client = new EasyAEClient();
            client.PullNotification(millisecondsTimeout:2000);
        }

        // ReSharper restore InconsistentNaming
    }
}
