﻿
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc.UA;

namespace OpcLabs.OpcInteroperabilityTest.UA.Servers
{
    [TestClass]
    // ReSharper disable once InconsistentNaming
    public class ProsysOpc_UAJavaSdk_Test : UAInteroperabilityWorkshopTest
    {
        //public override IEnumerable<UANodeDescriptor> ArrayReadableNodes => new UANodeDescriptor[] { "" };

        //public override IEnumerable<UANodeDescriptor> ArrayWriteableNodes => new UANodeDescriptor[] { "" };

        public override IEnumerable<UANodeDescriptor> DynamicNodes => new UANodeDescriptor[]
        {
            "",
            ""
        };

        public override IEnumerable<UAEndpointDescriptor> EndpointDescriptors => new UAEndpointDescriptor[] { "opc.tcp://DESKTOP-VLOO8CH:52520/OPCUA/SampleConsoleServer" };

        public override IEnumerable<string> ServerNotSupportedTests => base.ServerNotSupportedTests.Concat(new []
        {
            nameof(Group001_Session_Test10_ActivateSession_X509Certificate)
        });

        public override string Password => "opcua";

        public override IEnumerable<UANodeDescriptor> StaticNodes => new UANodeDescriptor[] { "" };

        public override string UserName => "opcua";

        public override IEnumerable<UANodeDescriptor> WriteableNodes => new UANodeDescriptor[] { "" };
    }
}
